package cn.iocoder.yudao.module.system.controller.admin.robot.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * PP分配的任务
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskAssignDTO {
    @Schema(description = "robot_task_detail/robot_charge_log 的 id")
    private Long orderId;

    @Schema(description = "任务类型(TAKE_RELEASE、CHARGE、MOVE、TAKE、RELEASE、AUTO_CHARGE)")
    private String type;

    @Schema(description = "AGV编号")
    private String robotNo;
}
